package com.m2pool.pool.service;


import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.common.core.web.page.TableDataInfo;
import com.m2pool.pool.dto.OutcomeDto;
import com.m2pool.pool.vo.AccountVo;
import com.m2pool.pool.vo.MinerListVo;
import com.m2pool.pool.vo.MinerVo;

import java.util.List;

/**
 * @Description 挖矿账户相关服务类
 * @Date 2024/6/14 11:40
 * @Author dy
 */
public interface MinerAccountService {

    public AjaxResult getMinerAccountPower(AccountVo vo);

    public AjaxResult getMinerAccountInfo(AccountVo vo);

    public AjaxResult getAccountPowerDistribution(AccountVo vo);

    public AjaxResult getMinerList(MinerListVo vo);

    public AjaxResult getMinerPower(MinerVo vo);

    //public AjaxResult getMinerPowerDistribution(MinerVo com.m2pool.chat.vo);

    public TableDataInfo getHistoryIncome(AccountVo vo);

    public TableDataInfo getHistoryOutcome(AccountVo vo);
}
